CREATE TABLE fnd_deep_link_list (
    OBJECT_TYPE               VARCHAR2(120) ,
    VB_METADATA               VARCHAR2(4000),
    PAGE_TYPE                 VARCHAR2(4000),
    ACTION                    VARCHAR2(400) ,
    GLOBAL_ITEM_NODE_ID       VARCHAR2(400)     NOT NULL,
    TASK_ITEM_NODE_ID         VARCHAR2(400) ,
    TASKFLOW_ID               VARCHAR2(1040),
    TASKFLOW_LABEL            VARCHAR2(1040),
    TASKFLOW_CONVERTER        VARCHAR2(1040),
    FOCUS_VIEW_ID             VARCHAR2(240) ,
    DEEP_LINK_URL             VARCHAR2(4000),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128)     NOT NULL,
    MODULE_ID                 VARCHAR2(128)     NOT NULL,
    TASKFLOW_PARAMS           VARCHAR2(1600),
    SEED_DATA_SOURCE          VARCHAR2(2048),
    OBJECT_KEY_PARAM_NAMES    VARCHAR2(1600),
    MOBILE_ENABLED            VARCHAR2(20)  ,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    OBJECT_TYPE               VARCHAR2(120) ,
    ACTION                    VARCHAR2(400) ,
    GLOBAL_ITEM_NODE_ID       VARCHAR2(400)     NOT NULL,
    TASK_ITEM_NODE_ID         VARCHAR2(400) ,
    TASKFLOW_ID               VARCHAR2(1040),
    TASKFLOW_LABEL            VARCHAR2(1040),
    TASKFLOW_CONVERTER        VARCHAR2(1040),
    FOCUS_VIEW_ID             VARCHAR2(240) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128)     NOT NULL,
    MODULE_ID                 VARCHAR2(128)     NOT NULL,
    TASKFLOW_PARAMS           VARCHAR2(1600),
    SEED_DATA_SOURCE          VARCHAR2(2048),
    OBJECT_KEY_PARAM_NAMES    VARCHAR2(1600),
    MOBILE_ENABLED            VARCHAR2(20)  ,
    DEEP_LINK_URL             VARCHAR2(4000),
    VB_METADATA               VARCHAR2(4000),
    PAGE_TYPE                 VARCHAR2(4000),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_deep_link_list PRIMARY KEY (OBJECT_TYPE, ACTION, OBJECT_TYPE, ACTION)
);
